#
# spec file for package python3-unittest2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-unittest2
Version:        1.1.0
Release:        4.2
Url:            http://pypi.python.org/pypi/unittest2
Summary:        The new features in unittest for Python 2.7 backported to Python 2.3+
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/u/unittest2/unittest2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-linecache2
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-traceback2
Requires:       python3-linecache2
Requires:       python3-six
Requires:       python3-traceback2
Requires(post): update-alternatives
Requires(preun): update-alternatives
BuildArch:      noarch

%description
unittest2 is a backport of the new features added to the unittest testing framework in Python 2.7 and onwards. It is tested to run on Python 2.6, 2.7, 3.2, 3.3, 3.4 and pypy.

%prep
%setup -q -n unittest2-%{version}
# argparse module is now part of python3, no need to require it
sed -i "s|'argparse',||" setup.py

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/unit2 %{buildroot}%{_bindir}/unit2-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/unit2 %{buildroot}%{_bindir}/unit2
# create a dummy target for /etc/alternatives/unit2
touch %{buildroot}%{_sysconfdir}/alternatives/unit2

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/unit2 unit2 %{_bindir}/unit2-%{py3_ver} 30

%preun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove unit2 %{_bindir}/unit2-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.txt
%{_bindir}/unit2
%{_bindir}/unit2-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/unit2
%{python3_sitelib}/unittest2/
%{python3_sitelib}/unittest2-%{version}-py%{py3_ver}.egg-info

%changelog
* Mon Aug 15 2016 toddrme2178@gmail.com
- Fix update-alternatives implementation.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Oct 12 2015 toddrme2178@gmail.com
- Implement update-alternatives
* Tue Jun 30 2015 arun@gmx.de
- update to version 1.1.0:
  * Issue #15836: assertRaises(), assertRaisesRegex(), assertWarns()
    and assertWarnsRegex() assertments now check the type of the first
    argument to prevent possible user error. Based on patch by Daniel
    Wagner-Hall.
  * Issue #24134: assertRaises(), assertRaisesRegex(), assertWarns()
    and assertWarnsRegex() checks now emits a deprecation warning when
    callable is None or keyword arguments except msg is passed in the
    context manager mode.
  * Issue #22903: The fake test case created by unittest.loader when
    it fails importing a test module is now picklable.
* Sat Mar 14 2015 arun@gmx.de
- update to version 1.0.1:
  * Unittest2 issue #94: Need at least 1.4 of six.
* Fri Mar  6 2015 arun@gmx.de
- specfile:
  * added traceback2, linecache2 requirement
- update to version 1.0.0:
  * Issue #22936: Permit showing local variables in tracebacks.
* Sun Jan 25 2015 arun@gmx.de
- specfile:
  * update tar ball from unittest2py3k to unittest2
  * update description to mention support for new python versions
  * add setuptools, six as requirement
  * remove argparse as requirement from setup (included in python3)
  * unit2.py has been removed, change spec file accordingly
    (only /usr/bin/unit2 exists now)
- update to version 0.8:
  * Issue #22457: Honour load_tests in the start_dir of discovery.
- changes from version 0.7.1:
  * Fix for 0.7.0 being broken. Also switches from both manual and
    entrypoint scripts to just entrypoint scripts to reduce the
    possibility of similar oversights in future.
- changes from version 0.7.0:
  * This release contains backports from cPython 3.5 of all (I think)
    commits since 2010, as of today.
- changes from version 0.6.0:
  * Changed supported Python versions to start at 2.6, and include all
    released 3.x and pypy. (Robert Collins)
  * Invoking unit2 without args starts test discovery
  * Added TestCase.assertWarns and TestCase.assertWarnsRegexp context
    managers
  * Fix Python issue 9926. TestSuite subclasses that override __call__
    are called correctly.
  * Removed unused maxDiff parameter from
    TestCase.assertSequenceEqual.
  * DeprecationWarning for unsupported result objects (missing addSkip
    method) became RuntimeWarning.
  * Addition of TestCase.assertWarns as a context manager.
* Thu Jan 22 2015 p.drouand@gmail.com
- Remove unused source file
- Remove noarch workaround
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Mon Aug 13 2012 toddrme2178@gmail.com
- Fixed source URL
* Sat Jun  9 2012 highwaystar.ru@gmail.com
- python3 package added
